org.apache.olingo.odata2.jpa.processor.api.model

## Interface JPAEdmBaseView

- All Known Subinterfaces:
    JPAEdmAssociationEndView, JPAEdmAssociationSetView, JPAEdmAssociationView, JPAEdmComplexPropertyView, JPAEdmComplexTypeView, JPAEdmEntityContainerView, JPAEdmEntitySetView, JPAEdmEntityTypeView, JPAEdmFunctionImportView, JPAEdmKeyView, JPAEdmModelView, JPAEdmNavigationPropertyView, JPAEdmPropertyView, JPAEdmReferentialConstraintRoleView, JPAEdmReferentialConstraintView, JPAEdmSchemaView

      public interface JPAEdmBaseView

  A base view on Java Persistence Model and Entity Data Model.

  The implementation of the view acts as a base container for containers of Java Persistence Model and Entity Data Model elements.

  Do not implement this interface or derive from class.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clean()` The method cleans the container.
    `JPAEdmBuilder` | `getBuilder()` The method returns a builder for building Entity Data Model elements from Java Persistence Model Elements
    `JPAEdmExtension` | `getJPAEdmExtension()` The method returns a reference to JPA EDM extension if available else null.
    `JPAEdmMappingModelAccess` | `getJPAEdmMappingModelAccess()` The method returns a reference to JPA EDM mapping model access.
    `javax.persistence.metamodel.Metamodel` | `getJPAMetaModel()` The method returns the Java Persistence MetaModel
    `String` | `getpUnitName()`
    `boolean` | `isConsistent()` The method returns the if the container is consistent without any errors
    `boolean` | `isDefaultNamingSkipped()` The method returns whether the default naming logic is skipped for the current view.

- - ### Method Detail

    - #### getpUnitName

          String getpUnitName()

      Returns:
        Java Persistence Unit Name

    - #### getJPAMetaModel

          javax.persistence.metamodel.Metamodel getJPAMetaModel()

      The method returns the Java Persistence MetaModel
      Returns:
        a meta model of type `Metamodel`

    - #### getBuilder

          JPAEdmBuilder getBuilder()

      The method returns a builder for building Entity Data Model elements from Java Persistence Model Elements
      Returns:
        a builder of type `JPAEdmBuilder`

    - #### isConsistent

          boolean isConsistent()

      The method returns the if the container is consistent without any errors
      Returns:
        - true - if the container is consistent without errors
        - false - if the container is inconsistent with errors

    - #### clean

          void clean()

      The method cleans the container.

    - #### getJPAEdmMappingModelAccess

          JPAEdmMappingModelAccess getJPAEdmMappingModelAccess()

      The method returns a reference to JPA EDM mapping model access.
      Returns:
        an instance to JPA EDM mapping model access

    - #### getJPAEdmExtension

          JPAEdmExtension getJPAEdmExtension()

      The method returns a reference to JPA EDM extension if available else null.
      Returns:
        an instance of JPA Edm Extension

    - #### isDefaultNamingSkipped

          boolean isDefaultNamingSkipped()

      The method returns whether the default naming logic is skipped for the current view.
      Returns:
        - true - skip default naming logic
        - false - do not skip default naming logic

Copyright © 2013-2023 The Apache Software Foundation. All Rights Reserved.